#Query Biller
#Request Path
[POST] /api/v2/bill-payment/biller/query#Parameter List
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| sceneCode | String | - | Yes | Business scenario code【see detailed scenario codes】 |
#Return Values
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| billerId | String | 32 | Yes | Operator ID |
| billerName | String | 32 | Yes | Operator Name |
| billerIcon | String | 200 | Yes | Operator Icon |
| minAmount | Long | - | No | Minimum recharge amount for operator |
| maxAmount | Long | - | No | Maximum recharge amount for operator |
| status | Integer | - | No | Status: 0 - Unavailable, 1 - Available |
#Postman Request Example
#request
curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/bill-payment/biller/query' \
--header 'Accept: application/json, text/plain, */*' \
--header 'CountryCode: NG' \
--header 'Authorization: Bearer 10241024' \
--header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
--header 'Content-Type: application/json' \
--data '{"requestTime":1713924173005,"nonceStr":"iWiRXn6ecx3ERxieekjTeBmXsRRE6D5E","version":"V2","sceneCode":"airtime"}'#response
{
"respCode": "00000000",
"respMsg": "success",
"data": [
{
"billerId": "MTN",
"billerName": "MTN",
"billerIcon": "https:/xxx/MTN.png",
"minAmount": 100,
"maxAmount": 100000,
"status": 1
}
],
"status": true
}#Common Error Codes
#Business Error Codes
| Error Code | Error Description | Solution |
|---|---|---|
| SBP.INVALID_PARAMETER | Invalid parameter | Check the request parameters and resend after making corrections |
| SBP.INVALID_SCENE_CODE | Invalid scenario code | Check the scenario code and resend after making corrections |